Name:           lib3270
Version:        5.3
Release:        1%{?dist}
Summary:        TN3270 Protocol Library

License:        LGPLv3
URL:            https://github.com/PerryWerneck/lib3270
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  gettext-devel
BuildRequires:  libcurl-devel
BuildRequires:  openldap-devel
BuildRequires:  openssl-devel

%description
lib3270 is a TN3270 protocol library, originally designed as part of the pw3270
application.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install
%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README.md AUTHORS
%{_libdir}/%{name}.so.*
%dir %{_datadir}/pw3270

%files devel
%dir %{_datadir}/pw3270/pot
%{_datadir}/pw3270/pot/%{name}.pot
%{_includedir}/%{name}.h
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed Mar  3 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-1
- Initial package
